Subject: Remove GMP detection

Makefile.PL checks for the GMP headers when deciding whether to use
Math::BigInt::GMP or Math::BigInt::Pari, but we don't expect the GMP
headers as we haven't declared a Build-Depends on them.

diff --git a/Makefile.PL b/Makefile.PL
index 13f2698..376fb5b 100755
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -15,13 +15,7 @@ include 'ExtUtils::AutoInstall';
 
 perl_version '5.006';
 build_requires 'Test::More' => 0.47;
-eval { assertlibs lib => 'gmp', header => 'gmp.h'; };
-unless ($@) {
-  requires 'Math::BigInt::GMP' => 1.24;
-}
-else {
-  requires 'Math::BigInt::Pari' => 1.13;
-}
+requires 'Math::BigInt::GMP' => 1.24;
 
 requires('Math::BigInt' => '1.60');
 
